Subject: Re: bug#21150: 24.5; octave-inf mode does not need --no-line-editing

From: Francesco Potortì <[email-masked]>
Date: Tue, 08 Jun 2021 15:09:29 +0200

>
>Francesco Potortì <[email-masked]> writes:
>
>> -(defcustom inferior-octave-startup-args '("-i" "--no-line-editing")
>> +(defcustom inferior-octave-startup-args '("-i")
>
>[...]
>
>Francesco Potortì <[email-masked]> writes:
>
>> As a conclusion of my observations above:
>>
>> A. if --no-line-editing was introduce because of the Emacs inferior
>>    Octave mode
>>
>> B. if it is reasonable to assume that --no-line-editing is not used by
>>    any other application
>>
>> C. if there is a way to leave readline enabled, but disable tab expansion
>>
>> then one can change the --no-line-editing behaviour to just disable tab
>> expansion.
>>
>> Or, if only C is certainly true, one can deprecate and undocument
>> --no-line-editing and add a separate option --disable-tab-expansion for
>> use in Emacs inferior Octave mode.
>
>I'm going through old bug reports, and after skimming this one, I'm not
>quite sure what the conclusions are.  Should the --no-line-editing value
>be removed from the options?

No.  Not unless Octave adds a --disable--tab--expansion as I suggest in
the second route that I described.

The current options provide minimal damage with current Octave's
behaviour.  To do better, Octave should follow one of the two routes I
illustrated above.